package com.gic.haoban.manage.service.dao.mapper.fee;

import com.gic.haoban.manage.api.dto.fee.HaobanQywxFeeDetailDTO;
import com.gic.haoban.manage.service.entity.fee.TabHaobanQywxFeeAccountStaff;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 企业微信收费订单成员激活详情(TabHaobanQywxFeeAccountStaff)表数据库访问层
 *
 * @author mozhu
 * @since 2022-08-03 16:12:31
 */
public interface TabHaobanQywxFeeAccountStaffMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param feeAccountId 主键
     * @return 实例对象
     */
    TabHaobanQywxFeeAccountStaff queryById(Long feeAccountId);

    /**
     * 查询指定行数据
     *
     * @param tabHaobanQywxFeeAccountStaff 查询条件
     * @param pageable                     分页对象
     * @return 对象列表
     */
    List<TabHaobanQywxFeeAccountStaff> queryAllByLimit(TabHaobanQywxFeeAccountStaff tabHaobanQywxFeeAccountStaff, @Param("pageable") Pageable pageable);

    /**
     * 新增数据
     *
     * @param tabHaobanQywxFeeAccountStaff 实例对象
     * @return 影响行数
     */
    int insert(TabHaobanQywxFeeAccountStaff tabHaobanQywxFeeAccountStaff);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabHaobanQywxFeeAccountStaff> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TabHaobanQywxFeeAccountStaff> entities);

    /**
     * 修改数据
     *
     * @param tabHaobanQywxFeeAccountStaff 实例对象
     * @return 影响行数
     */
    int update(TabHaobanQywxFeeAccountStaff tabHaobanQywxFeeAccountStaff);

    /**
     * 通过主键删除数据
     *
     * @param feeAccountId 主键
     * @return 影响行数
     */
    int deleteById(Long feeAccountId);

    /**
     * 详情
     *
     * @param wxEnterpriseId wx企业标识
     * @return {@link List }<{@link HaobanQywxFeeDetailDTO }>
     * @author mozhu
     * @date 2022-08-05 15:40:09
     */
    List<HaobanQywxFeeDetailDTO> feeDetail(@Param("wxEnterpriseId") String wxEnterpriseId);
}

